org.apache.hadoop.yarn.webapp

## Class View.ViewContext

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.View.ViewContext

- Enclosing class:
    View

      public static class View.ViewContext
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `nestLevel()`
    `Controller.RequestContext` | `requestContext()`
    `void` | `set(int nestLevel, boolean wasInline)`
    `boolean` | `wasInline()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### nestLevel

          public int nestLevel()

    - #### wasInline

          public boolean wasInline()

    - #### set

          public void set(int nestLevel,
                          boolean wasInline)

    - #### requestContext

          public Controller.RequestContext requestContext()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.